[project]
name = "ghostrunner2"
version = "2.1.3"
description = ""
readme = "README.md"
authors = [
    { name = "v01d", email = "v01d@v01d.ru" }
]
requires-python = ">=3.13"
dependencies = [
    "trainerbase>=4.5.0",
]

[tool.ruff]
src = ["src"]
line-length = 120

[tool.ruff.lint]
select = [
    "E",  # pycodestyle
    "F",  # Pyflakes
    "UP",  # pyupgrade
    "B",  # flake8-bugbear
    "SIM",  # flake8-simplify
    "I",  # isort
    "N",  # pep8-naming
    "FIX",
    "FBT",
    "ARG",
    "PTH",
    "ERA",
    "RUF",
]

[tool.ruff.lint.isort]
lines-after-imports = 2

[tool.ruff.format]
line-ending = "lf"

[dependency-groups]
dev = [
    "ruff>=0.9.7",
]
